[Pkg-kde-extras] Bug#499713: [kipi-plugins] images2mpg not posix compatible but only depends on /bin/sh

Sven Eckelmann sven.eckelmann at gmx.de
Sun Sep 21 14:31:54 UTC 2008

Package: kipi-plugins
Version: 0.1.5-2
Severity: normal
Tags: patch

The current version of images2mpg will fail when you don't have bash installed 
as you default shell (/bin/sh). It can be tested when you install dash and 
reconfigure your system by using "dpkg-reconfigure dash" and then say "Yes" 
that dash should be you default shell. When you now start "images2mpg -i" you 
will get some shell errors:
[: 246: 1: unexpected operator
shift: 546: can't shift that many

To fix this the shell must be changed to /bin/bash.. The problem seems to be 
created by debian and not by upstream. The problematic patch is in 

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.26-1-amd64

Debian Release: lenny/sid
  500 unstable        ftp.de.debian.org 
  500 unstable        debian.netcologne.de 
    1 experimental    ftp.debian.org

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: This is a digitally signed message part.
Url : http://lists.alioth.debian.org/pipermail/pkg-kde-extras/attachments/20080921/5ced7cbe/attachment.pgp 

More information about the pkg-kde-extras mailing list